Bug Hunting Session
Bug 90276 - extension manager: update asks for username (updateexte.libreoffice.org)
Summary: extension manager: update asks for username (updateexte.libreoffice.org)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Extension-Manager
  Show dependency treegraph
 
Reported: 2015-03-27 08:33 UTC by Bart
Modified: 2017-05-31 13:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of pop-up window that asks for username for extension updates (89.57 KB, image/png)
2015-03-27 08:33 UTC, Bart
Details
Dialog that asks for authorization when checking updates (149.91 KB, image/png)
2017-05-31 12:46 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart 2015-03-27 08:33:51 UTC
Created attachment 114396 [details]
Screenshot of pop-up window that asks for username for extension updates

Tools -> Extension Manager -> Check for updates.
Expected behavior: check for and propose updates, if available
Observed behavior: "Authentication required" window pops up, stating "Enter username and password for: updateexte.libreoffice.org" (see screenshot)

Clicking OK does nothing.
Clicking Cancel, after the second time, gives an error pop-up window: "General internet error has occurred."

Windows 7 professional (at work behind proxy, maybe related?)

See also http://ask.libreoffice.org/en/question/46901/auto-upgrade-update-promtp-for-password/ (by other user)
Comment 1 Buddhi 2015-03-28 03:57:13 UTC
I tried to reproduce the bug in Windows 7 64-bit environment with LibreOffice Version: 4.4.1.2.It worked fine.Did not prompted for a authentication.I can make a suggestion.Sometimes it's asking Windows authentications if you're not using it with Admin privileges.
Comment 2 Bart 2015-03-31 09:45:22 UTC
I tried running as administrator (Windows Start menu > right-click on LibreOffice Writer > run as administrator). Didn't resolve the problem.
I'm behind a proxy, but in Tools > Options > Internet > Proxy, "proxy server" is set to "system" so should work...
Comment 3 Buovjaga 2016-09-24 16:42:50 UTC
Is it still happening with LibreOffice 5.2?

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 4 QA Administrators 2017-05-31 10:51:29 UTC Comment hidden (obsolete)
Comment 5 Bart 2017-05-31 12:46:28 UTC
Created attachment 133744 [details]
Dialog that asks for authorization when checking updates
Comment 6 Bart 2017-05-31 12:47:21 UTC
Still the same behaviour with LibreOffice Writer 5.3.2.2 on Windows 10 Pro.
Comment 7 Bart 2017-05-31 12:57:50 UTC
Solved. Problem was related to two old extensions that are apparently no longer maintained.

One part of problem traced to extension "COOoder" (https://extensions.libreoffice.org/extensions/coooder).
Removing it solved one of the two demands for authentification.

Second (and final) part of the problem resolved by removing "American English spelling-hyphenation-thesaurus-797865-words" 2012.11.23 by "KPP and NA-DVD"
https://extensions.libreoffice.org/extensions/american-british-canadian-spelling-hyphen-thesaurus-dictionaries
Comment 8 Bart 2017-05-31 13:02:43 UTC
I suggest the offending extensions be checked, and if necessary removed from the official LibreOffice extension collection.